@import '@/assets/scss/style'

.stepper
    width: 100%
    position: absolute
    z-index: 1

.steps
    counter-reset: step
    list-style: none

.steps li
    width: 20%
    position: relative
    text-align: center
    float: left

.steps li:before
    content: counter(step)
    counter-increment: step
    width: 30px
    height: 30px
    border: 2px solid #bebebe
    display: block
    margin: 0 auto 10px auto
    border-radius: 50%
    line-height: 27px
    background: white
    color: #bebebe
    text-align: center
    font-weight: bold

.steps li:after
    content: ''
    position: absolute
    width: 100%
    height: 3px
    background: #979797
    top: 15px
    left: -50%
    z-index: -1

.steps li.active:after
    background: color("brand")

.steps li.active:before
    border-color: color("brand")
    background: color("brand")
    color: white

.steps li.active li:before
    border-color: color("brand")
    background: color("brand")
    color: white

.steps li:first-child:after
    content: none

.odd
    @include media-breakpoint-down(sm)
        position: absolute
        top: -30px
        right: 0
        left: 0
